TERMINAL(1)

NAME
Terminal - En terminalemulator til X

INDHOLDSFORTEGENELSE

Terminal [TILVALG...]

BESKRIVELSE

Terminal er en terminalemulator til X, ofte kaldet terminal eller skal. Den tilbyder funktioner tilsvarende den gammeldags tekstskærm på dit skrivebord, men kan sagtens dele skærmen med andre grafiske programmer. Windowsbrugere er måske allerede bekendt med programmet MS-DOS-kommandoprompt, som tilbyder en DOS-kommandolinje under Windows, dog skal det siges at CLI under UNIX tilbyder langt større funktionalitet og brugervenlighed end DOS gør.

Terminal emulerer xterm-programmet, udviklet af X Consortium. Til gengæld emulerer xterm-programmet terminalen DEC VT102 og understøtter også escape-sekvenserne fra DEC VT220'eren. En escape-sekvens er en serie af tegn der starter med Esc-tegnet. Terminal accepterer alle de escape-sekvenser som terminalerne VT102 og VT220 bruger som funktioner, så som placering af markøren og rydning af skærmen.

INDSTILLINGER

  Indstillingsoversigt

Her er en oversigt over alle tilvalg, grupperet efter type. Forklaringer findes i de følgende sektioner.

Generelle indstillinger
    -h, --help; -V, --version; --disable-server; --default-display=skærm; --default-working-directory=mappe

Vindues- eller fanebladsadskillere
    --tab; --window

Fanebladsindstillinger
    -x, --execute; -e, --command=command; --working-directory=mappe; -T, --title=title; -H, --hold

Indstillinger til vindue
    --display=skærm; --geometry=geometri; --role=rolle; --startup-id=streng; -I, --icon=ikon; --fullscreen; --maximize; --show-menubar, --hide-menubar; --show-borders, --hide-borders; --show-toolbars, --hide-toolbars

  Generelle indstillinger

-h, --help
    Viser de forskellige kommandolinjetilvalg understøttet af Terminal og afslutter

-V, --version
    Viser versionsinformation og afslutter

--disable-server
    Registrér ikke med D-BUS-sessionsbeskedbussen

--default-display=skærm
    Brug som standard X-skærm.

--default-working-directory=mappe
    Indstil directory som standardarbejdsmappen for terminalen

  Vindues- eller fanebladsadskillere

--tab
    Åbn et nyt faneblad i det sidst specificerede vindue. Mere end ét af disse tilvalg kan bruges.

--window
    Åbn et nyt vindue der indeholder ét faneblad. Mere end ét af disse tilvalg kan bruges.

  Fanebladsindstillinger

-x, --execute
    Udfør resten af kommandolinjen inden i terminalen

-e, --command=command
    Udfør kommando inde i terminalen

--working-directory=mappe
    Indstil mappe som arbejdsmappen for terminalen

-T, --title=title
    Indstil titel som indledende vinduestitel i terminalen

-H, --hold
    Gør at terminalen holdes åben efter at den underliggende kommando er udført

  Indstillinger til vindue

--display=skærm
    X-skærm som bruges til det sidst definerede vindue.

--geometry=geometri
    Indstil geometrien af det sidst specificerede vindue til geometry. Læs X(7) for flere detaljer om hvordan man skal angive vinduesgeometri.

--role=rolle
    Indstil vinduets rolle af det sidst specificerede vindue til role. Gælder kun for et vindue og kan angives én gang for hvert vindue, du opretter fra kommandolinjen. Det er mest anvendt til sessionshåndtering inden i Terminal.

--startup-id=streng
    Angiv id'et for opstartsnotifikation for det sidste specificerede vindue. Brugt internt til at videresende opstartsnotifikation-id'et, ved brug af D-BUS-tjenesten.

-I, --icon=ikon
    Indstil terminalens ikon som et ikon- eller filnavn.

--fullscreen
    Indstil det sidst specificerede vindue, til fuldskærmstilstand; det gælder kun for et vindue; kan specificeres en gang for hvert vindue, du opretter fra kommandolinjen.

--maximize
    Indstil det sidst specificerede vindue, til maksimeret tilstand; det gælder kun for et vindue; kan specificeres en gang for hvert vindue, du opretter fra kommandolinjen.

--show-menubar
    Slå menulinjen til for det sidst specificerede vindue.. Det kan specificeres en gang for hvert vindue, du opretter fra kommandolinjen.

--hide-menubar
    Slå menulinjen til for det sidst angivne vindue.. Det kan angives én gang for hvert vindue, du opretter fra kommandolinjen.

--show-borders
    Slå vinduesdekorationer til, for det sidst specificerede vindue. Gælder kun for et vindue. Det kan specificeres en gang for hvert vindue, du opretter fra kommandolinjen.

--hide-borders
    Slå vinduesdekorationer fra, for det sidst specificerede vindue. Gælder kun for et vindue. Det kan specificeres en gang for hvert vindue, du opretter fra kommandolinjen.

--show-toolbars
    Slå værktøjslinjer til , for det sidst specificerede vindue. Gælder kun for et vindue. Det kan specificeres en gang for hvert vindue, du opretter fra kommandolinjen.

--hide-toolbars
    Slå værktøjslinjer fra, for det sidst specificerede vindue. Gælder kun for et vindue. Det kan specificeres en gang for hvert vindue, du opretter fra kommandolinjen.

EKSEMPLER

Terminal --geometry 80x40 --command mutt --tab --command mc
    Åbner et nyt terminalvindue med geometri 80 kollonner og 40 rækker og to faneblade , Hvor det første faneblad kører mutt og det andet faneblad kører mc.

MILJø

Terminal anvender specifikationen Basedir, som defineret på Freedesktop.org[1], til at lokalisere dets data- og indstillingsfiler. Dette betyder, at filplaceringer vil være specificerede som en relativ sti til mapperne; beskrevet i specifikationen.

${XDG_CONFIG_HOME}
    Den første basale mappe til at lede efter indstillingsfiler. Som standard er denne indstillet til ~/.config/.

${XDG_CONFIG_DIRS}
    En kolonsepareret liste af basismapper der indeholder indstillingsdata. Som standard vil programmet lede i ${sysconfdir}/xdg/. Værdien på ${sysconfdir}, afhænger hvordan programmet blev bygget og vil ofte være /etc/ for binære pakker.

${XDG_DATA_HOME}
    Roden for alle brugerspecikke datafiler. Som standard er denne indstillet til ~/.local/share/.

${XDG_DATA_DIRS}
    En række indstillingssortereret basismapper, relativ til hvilke datafiler der skal søges efter, udover basismappen ${XDG_DATA_DIRS}. Mapper skal separeres med en kolon.

FILER

${XDG_CONFIG_DIRS}/Terminal/terminalrc
    Dette er placeringen af indstillingsfilerne, der inkluderer de indstillinger, der styrer udseendet og fornemmelsen i Terminal.

${XDG_DATA_DIRS}/Terminal/Terminal-toolbars.ui
    Denne fil inkluderer beskrivelsen af brugergrænsefladen for værktøjslinjerne. Hvis du tilpasser værktøjslinjerne ved at bruge den grafiske værktøjslinjeeditor, vil Terminal gemme det nye værktøjslinjelayout i ${XDG_DATA_HOME}/Terminal/Terminal-toolbars.ui.

LæS OGSå

bash(1), X(7)

AUTHORS

Nick Schermer <nick@xfce.org>
    Udvikler

Benedikt Meurer <benny@xfce.org>
Softwareudvikler, os-cillation, Systemudvikling,
    Udvikler

NOTES

1.  Freedesktop.org
    http://freedesktop.org/